Part Spiral: Difference between revisions

From FreeCAD Documentation
mNo edit summary
mNo edit summary
Line 31: Line 31:
By default, the spiral is positioned with its start point on the x-axis with a distance of the radius from the origin (0,0,0). Its rotation is counterclockwise.
By default, the spiral is positioned with its start point on the x-axis with a distance of the radius from the origin (0,0,0). Its rotation is counterclockwise.


[[File:Part Helix Example.png|Screenshot of Part Helix]]
[[File:Part Spiral Example.png|Screenshot of Part Spiral]]


== Usage == <!--T:8-->
== Usage == <!--T:8-->


<!--T:6-->
<!--T:6-->
# There are several ways to invoke the command:
The Create Primitives dialogue can be accessed via the [[Part_Primitives|Primitives]] icon [[Image:Part_Primitives.svg|32px]] located in the Part menu or the Part toolbar, in the Part Workbench.
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part Primitives|Create Primitives...]]}} button.
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
#* Select the {{MenuCommand|[[Image:Part_Spiral.svg|16px]] Spiral}} option from the menu.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.


== Example ==
<!--T:3-->
[[File:SpiralDefault_it.png]]


[[File:Part Spiral Scripting Example.png|thumb|Part Spiral scripting example]]
<!--T:4-->
[[File:Spiral_x45_it.png]]


A Part spiral object with the values of the bottom scripting example are shown here.
<!--T:5-->
[[File:Spiral_y45_it.png]]


==Notes==


== Properties ==
== Properties ==
Line 65: Line 64:
*{{PropertyData|Segment Length|Float}}: The segment length of the spiral.
*{{PropertyData|Segment Length|Float}}: The segment length of the spiral.


==Limitations==
== Scripting ==

A Part Spiral is created with the {{Incode|addObject()}} method of the document.

</translate>
{{Code|code=
spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
}}
<translate>

* Where {{Incode|mySpiral}} is the name for the object. The name must be unique for the entire document.
* The function returns the newly created object.

The {{Incode|Label}} is the user editable name for the object. It can be easily changed by

</translate>
{{Code|code=
spiral.Label = "new mySpiralName"
}}
<translate>

You can access and modify attributes of the {{Incode|spiral}} object. For example, you may wish to modify the growth, radius and rotations parameters.

</translate>
{{Code|code=
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
}}
<translate>


You can change its placement and orientation with:
==Scripting==


</translate>
{{Code|code=
spiral.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))
}}
<translate>


<!--T:9-->
<!--T:9-->

Revision as of 04:29, 20 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Spiral

Menu location
Part → Create primitives → Spiral
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives

Description

The Part Spiral command creates a parametric spiral shape.

FreeCAD creates a spiral, with default values for growth and radius. The number of rotations can be set too.

By default, the spiral is positioned with its start point on the x-axis with a distance of the radius from the origin (0,0,0). Its rotation is counterclockwise.

Screenshot of Part Spiral

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Spiral option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Example

Part Spiral scripting example

A Part spiral object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Spiral object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Box

  • DataGrowth (Length): The growth of the spiral. This is the distance between the curves of the spiral.
  • DataRadius (Length): The radius of the spiral. This is the distance between the origin and the start point of the curve.
  • DataRotations (Float): The number of full 360° rotations of the spiral. The rotation direction is counterclockwise.
  • DataSegment Length (Float): The segment length of the spiral.

Scripting

A Part Spiral is created with the addObject() method of the document.

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where mySpiral is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

spiral.Label = "new mySpiralName"

You can access and modify attributes of the spiral object. For example, you may wish to modify the growth, radius and rotations parameters.

spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4

You can change its placement and orientation with:

spiral.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))